
Jupiter - Zadanie #1561
Utworzyć serwis  publikacji
2017-02-09 15:52 - Michał Komar

Status: Zamknięty Start date: 2017-02-09
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Michał Komar Tester: Łukasz Waśkiewicz
Description

Serwis powinien weryfikować uprawnienia do danej publikacji.
Serwis powinien umożliwiać:
    -  zapisanie zmian w publikacji
    -  pobranie historii
    -  zatwierdzenie zmian
    -  opublikowanie publikacji

Associated revisions
Revision 1fb51210 - 2017-03-28 13:29 - Michał Komar

refs #1561: Utworzenie serwisu do publikacji.

Revision 23ba20aa - 2017-03-28 13:29 - Michał Komar

refs #1561: Utworzenie serwisu do publikacji.

Revision 868843e1 - 2017-03-28 13:37 - Michał Komar

refs #1561: Merge

Revision ab60873f - 2017-03-30 10:57 - Michał Komar

refs #1561: Utworzenie serwisu do publikacji.

Conflicts:
    jupiter-services/src/main/java/pl/edu/icm/jupiter/services/user/JupiterUserServiceImpl.java
    jupiter-ui/src/main/javascript/app/common/common.module.ts
    jupiter-ui/src/main/javascript/app/common/components/data-table.component.html
    jupiter-ui/src/main/javascript/app/common/components/data-table.component.ts

Revision 7c0fc81a - 2017-05-09 14:37 - Michał Komar

refs #1561: Poprawienie wyświetlania typu dokumentu i routingu

Revision d9e6fb00 - 2017-05-09 14:59 - Michał Komar
refs #1561: Poprawienie mapowania current to archive

History
#1 - 2017-03-24 15:57 - Łukasz Waśkiewicz
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

już zrobiłeś

#2 - 2017-03-29 08:10 - Michał Komar
- Status changed from Nowy to Testowanie
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- % Done changed from 0 to 100
- Developer Michał Komar added
- Tester Łukasz Waśkiewicz added

Wstępna wersja serwisu zrobiona. Oprogramowany zosał workflow "FULL". Trzeba będzie jeszcze dorobić weryfikację publikowanych dokumentów
(pod kątem publikacji parentów itp), ale dodałbym to w innym tasku.

#3 - 2017-04-12 09:01 - Łukasz Waśkiewicz
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

po zatwierdzeniu element zatwierdzony pozostaje widoczny na liście (stan się zmienia ale tam cały czas wisi)
nie da się opublikować (klikam i nic się nie dzieje)

#4 - 2017-04-18 07:49 - Michał Komar
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Michał Komar to Łukasz Waśkiewicz

Powinno być już poprawione.

#5 - 2017-04-24 13:15 - Łukasz Waśkiewicz
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

brak danych w kolumnie "Level" (Pending confirmations)

#6 - 2017-05-09 14:38 - Michał Komar
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
Poprawione.

#7 - 2017-05-10 09:30 - Łukasz Waśkiewicz
- Status changed from Testowanie to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Michał Komar

OK

#8 - 2017-06-06 11:56 - Michał Komar
- Status changed from Rozwiązany to Zamknięty
